// PostponedEar.h

#ifndef PostponedEar_h
#define PostponedEar_h

#ifndef PostponedEarBase_h
#include "PostponedEarBase.h"
#endif
#ifndef MethodOf_h
#include "MethodOf.h"
#endif

template < class Head >
class PostponedEar: public PostponedEarBase
  {
	typedef Head HeadType;
	typedef void (HeadType::*Nerve)();

	private:
		MethodOf< Head > method;
	
	public:
		PostponedEar( Head& head, Nerve nerve )
		  : PostponedEarBase( method ),
			 method( &head, nerve )
		  {}

		PostponedEar( const Announcer& announcer, Head& head, Nerve nerve )
		  : PostponedEarBase( method, announcer ),
			 method( &head, nerve )
		  {}
  };

#endif
