// BroadcastLoop.h

#ifndef BroadcastLoop_h
#define BroadcastLoop_h

#ifndef ListLoop_h
#include "ListLoop.h"
#endif
#ifndef ContextMaintainer_h
#include "ContextMaintainer.h"
#endif
#ifndef Broadcaster_h
#include "Broadcaster.h"
#endif

template < class Protocol >
class BroadcastLoop: private ListLoop< Protocol >
  {
	typedef ListLoop< Protocol > Inherited;
	
	private:
		ContextMaintainer savedContext;
		
	public:
		BroadcastLoop( const Broadcaster<Protocol>& source );
		
		void operator++();
		void operator++(int)			{ operator++(); }
		
		Inherited::Finished;
		Inherited::Unfinished;
  };

#endif
