// DebugMessage.h

#ifndef DebugMessage_h
#define DebugMessage_h

#ifndef Integers_h
#include "Integers.h"
#endif

class ConstData;

class DebugMessage
  {
	private:
		static Str255 message;
	
	public:
		DebugMessage();
		DebugMessage( ConstStr255Param );
		
		void operator+=( ConstStr255Param );
		void operator+=( ConstData );
		void operator+=( uint64 );
		void operator+=( int64 );
		void operator+=( uint32 );
		void operator+=( int32 );
		void operator+=( void * );

		void operator+=( uint16 n )	{ *this += uint32( n ); }
		void operator+=( int16 n )		{ *this += int32( n ); }
		void operator+=( uint8 n )		{ *this += uint32( n ); }
		void operator+=( int8 n )		{ *this += int32( n ); }
		
		void AddGo();
		
		void Show()							{ DebugStr( message ); }

		void ShowHigh()					{ SysBreakStr( message ); }
  };

#endif
