// MemoryError.h

#ifndef MemoryError_h
#define MemoryError_h

#ifndef OSError_h
#include "OSError.h"
#endif

class MemoryError: public OSError
  {
	public:
		MemoryError()						: OSError()		{}
		MemoryError( OSErr e )			: OSError( e )	{}
		MemoryError( OSError& e )		: OSError( e )	{}
		
		static MemoryError Check()
		  {
			return MemError();
		  }
  };

#endif
