// QuickDrawError.h

#ifndef QuickDrawError_h
#define QuickDrawError_h

#ifndef OSError_h
#include "OSError.h"
#endif

class QuickDrawError: public OSError
  {
	public:
		QuickDrawError()						: OSError()		{}
		QuickDrawError( OSErr e )			: OSError( e )	{}
		QuickDrawError( OSError& e )		: OSError( e )	{}
		
		static QuickDrawError Check()
		  {
			return QDErr();
		  }
  };

#endif
