// MouseDownEvent.h

#ifndef MouseDownEvent_h
#define MouseDownEvent_h

#ifndef MouseEvent_h
#include "MouseEvent.h"
#endif

class ScreenPart;

class MouseDownEvent: public MouseEvent
  {
	private:
		const ScreenPart& screenPart;
		bool activating;
		
	public:
		MouseDownEvent( const EventRecord& event );
		
		const ScreenPart& ScreenPart() const	{ return screenPart; }
		bool Activating() const						{ return activating; }
		
		virtual void Respond() const;
  };

#endif
