// DirectoryID.h

#ifndef DirectoryID_h
#define DirectoryID_h

#ifndef Integers_h
#include "Integers.h"
#endif

class DirectoryID
  {
	private:
		int32 id;
	
		DirectoryID( int32 value )
		  : id( value )
		  {}
		
	public:
		static DirectoryID Make( int32 value )		{ return value; }
		
		static DirectoryID Root()						{ return fsRtDirID; }
		static DirectoryID AboveRoot()				{ return fsRtParID; }
		
		int32 Number() const								{ return id; }
		
		bool operator==( DirectoryID f ) const		{ return id == f.id; }
		bool operator!=( DirectoryID f ) const		{ return id != f.id; }
  };

#endif
