// FileSignature.h

#ifndef FileSignature_h
#define FileSignature_h

#ifndef Integers_h
#include "Integers.h"
#endif

class FileSignature
  {
	private:
		uint32 signature;
	
		FileSignature( uint32 value )
		  : signature( value )
		  {}
		
	public:
		static FileSignature Make( uint32 value )		{ return value; }
	
		uint32 Signature() const							{ return signature; }
		
		bool operator==( FileSignature f ) const		{ return signature == f.signature; }
		bool operator!=( FileSignature f ) const		{ return signature != f.signature; }
		
		static FileSignature TeachText()					{ return 'ttxt'; }
  };

#endif
