// ArrangedPane.h

#ifndef ArrangedPane_h
#define ArrangedPane_h

#ifndef Pane_h
#include "Pane.h"
#endif

class ArrangedPane: public Pane
  {
	friend class ArrangementBase;
	
	private:
		const View *parent;

	public:
		ArrangedPane();
		ArrangedPane( const View& theParent )
		  : parent( &theParent )
		  {}

		Pane::SetBounds;
		Pane::MapTo;
		Pane::Unmap;
		
		virtual void Clip( RegionObject& ) const;
  };

#endif
