// NumeralView.h

#ifndef NumeralView_h
#define NumeralView_h

#ifndef StringView_h
#include "StringView.h"
#endif

class NumeralView: public StringView
  {
	private:
		uint32 digits;
		
	public:
		NumeralView( ::Face );
				
		void SetNumber( int32 );
		void SetDigits( uint32 d )		{ digits = d; }
		
		uint16 MinimumWidth() const;
		uint16 BestWidth() const;
  };

#endif
