// GrowBox.h

#ifndef GrowBox_h
#define GrowBox_h

#ifndef View_h
#include "View.h"
#endif
#ifndef Activator_h
#include "Activator.h"
#endif

class WindowFocus;

class GrowBox: public View,
					public Activator
  {
	protected:
		virtual void Activate();
		virtual void Deactivate();
	
	public:
		GrowBox( WindowFocus& );
		
		virtual void Draw( const ViewMap& ) const;

		virtual uint16 MinimumWidth() const;
		virtual uint16 MinimumHeight() const;
		
		virtual uint16 MaximumWidth() const;
		virtual uint16 MaximumHeight() const;
  };

#endif
