// VerticalSpacer.h

#ifndef VerticalSpacer_h
#define VerticalSpacer_h

#ifndef SolidView_h
#include "SolidView.h"
#endif

class VerticalSpacer: public SolidView
  {
	private:
		const uint16 height;
	
	public:
		VerticalSpacer( uint16 theHeight,
							 const RGBColor& color = NamedColors::white )
		  : SolidView( color ),
			 height( theHeight )
		  {}
		
		virtual uint16 MinimumHeight() const;
		virtual uint16 MaximumHeight() const;
		virtual uint16 BestWidth() const;
  };

#endif
