// PostponedEarBase.cp

#ifndef PostponedEarBase_h
#include "PostponedEarBase.h"
#endif

PostponedEarBase::PostponedEarBase( const Method& method )
  : scheduler( method )
  {
  }

PostponedEarBase::PostponedEarBase( const Method& method,
										  const Announcer& announcer )
  : EarBase( announcer ),
	 scheduler( method )
  {
  }

PostponedEarBase::~PostponedEarBase()
  {
  }

void PostponedEarBase::HearAnnouncement()
  {
	if ( !scheduler.Pending() )
		scheduler.Schedule();
  }

void PostponedEarBase::HearDestruction()
  {
	Assert( 0 );
  }
