// HasFace.h

#ifndef HasFace_h
#define HasFace_h

#ifndef Face_h
#include "Face.h"
#endif

class HasFace
  {
	private:
		::Face face;
		
	protected:
		virtual void FaceChanged() = 0;
		
	public:
		HasFace( Face theFace )
		  : face( theFace )
		  {}
		
		const ::Face& Face() const		{ return face; }
		void SetFace( const ::Face& );
  };

#endif
