// BitArray.h

#ifndef BitArray_h
#define BitArray_h

#ifndef BitArrayBase_h
#include "BitArrayBase.h"
#endif

template < uint32 length >
class BitArray: public BitArrayBase
  {
	private:
		Unit bits[ (length + unitLength - 1) / unitLength ];
	
	public:
		BitArray()
		  : BitArrayBase( bits, length )
		  {}
		
		BitArray( bool initialValue )
		  : BitArrayBase( bits, length, initialValue )
		  {}
  };

#endif
