// BroadcastLoop.cp

#ifndef BroadcastLoop_h
#include "BroadcastLoop.h"
#endif

template < class Protocol >
BroadcastLoop<Protocol>::BroadcastLoop( const Broadcaster<Protocol>& source )
  : ListLoop< Protocol >( source )
  {
 	if ( Unfinished() )
 		(*this)->SetContext();
  }

template < class Protocol >
void BroadcastLoop<Protocol>::operator++()
  {
	Inherited::operator++();
 	if ( Unfinished() )
 		(*this)->SetContext();
  }
