// FontNumber.h

#ifndef FontNumber_h
#define FontNumber_h

#ifndef Integers_h
#include "Integers.h"
#endif

class FontNumber
  {
	private:
		int16 number;
	
		FontNumber( int16 value )
		  : number( value )
		  {}
		
	public:
		static FontNumber Make( int16 value );
	
		static FontNumber System();
		static FontNumber Application();
		
		int16 Value() const							{ return number; }
		
		bool operator==( FontNumber f ) const	{ return number == f.number; }
		bool operator!=( FontNumber f ) const	{ return number != f.number; }
  };

#endif
