// DelayedMethod.h

#ifndef DelayedMethod_h
#define DelayedMethod_h

#ifndef MethodOf_h
#include "MethodOf.h"
#endif
#ifndef Delayer_h
#include "Delayer.h"
#endif

template < class Target >
class DelayedMethod: public MethodOf< Target >,
							public Delayer
  {
	private:
		::Method& TheMethod() 		{ return *this; }
		
	public:
		DelayedMethod( Target *t, MemberType m )
		  : MethodOf<Target>( t, m ),
			 Delayer( TheMethod() )
		  {}
  };

#endif
