// PostponableMethod.h

#ifndef PostponableMethod_h
#define PostponableMethod_h

#ifndef MethodOf_h
#include "MethodOf.h"
#endif
#ifndef Postponer_h
#include "Postponer.h"
#endif

template < class Target >
class PostponableMethod: public MethodOf< Target >,
								 public Postponer
  {
	private:
		::Method& TheMethod() 		{ return *this; }
		
	public:
		PostponableMethod( Target *t, MemberType m )
		  : MethodOf<Target>( t, m ),
			 Postponer( TheMethod() )
		  {}
  };

#endif
