// Repeater.h

#ifndef Repeater_h
#define Repeater_h

#ifndef Enableable_h
#include "Enableable.h"
#endif
#ifndef PostponableMethod_h
#include "PostponableMethod.h"
#endif

class Repeater: public Enableable
  {
	private:
		const Method& toRepeat;
		PostponableMethod< Repeater > repeat;
		bool inProgress;
		
		void Repeat();

		virtual void BeEnabled();
		virtual void BeDisabled();
		
	public:
		Repeater( const Method&, bool startEnabled = true );
  };

#endif
