// ListTestView.h

#ifndef ListTestView_h
#define ListTestView_h

#ifndef ListView_h
#include "ListView.h"
#endif
#ifndef ViewCell_h
#include "ViewCell.h"
#endif

class ListTestView: public ListView
  {
	private:
		class ColorCell: public ViewCell
		  {
			private:
				RGBColor color;
			
			public:
				ColorCell( uint32 );
				virtual void Draw( const ViewMap& ) const;
		  };
		
		ColorCell cell;
		
	protected:
		ListTestView();
		
		virtual const ViewCell& operator[]( uint32 ) const;
		virtual ViewCell& operator[]( uint32 );
  };

#endif
