// WindowScreenPart.h

#ifndef WindowScreenPart_h
#define WindowScreenPart_h

#ifndef ScreenPart_h
#include "ScreenPart.h"
#endif

class AbstractWindow;

class WindowScreenPart: public ScreenPart
  {
	typedef void (AbstractWindow::*Clicker)( const MouseDownEvent& );
	
	private:
		WindowPtr window;
		AbstractWindow& abstraction;
		Clicker clicker;
		
	public:
		WindowScreenPart( WindowPtr, Clicker ); 

		virtual bool Active() const;
		virtual void Click( const MouseDownEvent& ) const;
  };

#endif
