// GrayWhiteView.h

#ifndef GrayWhiteView_h
#define GrayWhiteView_h

#ifndef View_h
#include "View.h"
#endif
#ifndef Activator_h
#include "Activator.h"
#endif

class WindowFocus;

class GrayWhiteView: public View,
							private Activator
  {
	protected:
		virtual void Activate();
		virtual void Deactivate();
	
	public:
		GrayWhiteView( WindowFocus& );
		
		virtual void Draw( const ViewMap& ) const;
  };

#endif
